org.eclipse.wst.jsdt.chromium

## Interface UpdatableScript

All Known Subinterfaces:
  Script

    public interface UpdatableScript

This interface is a part of `Script` interface. It covers live editing support.

### Nested Class Summary

Nested Classes
`static interface` `UpdatableScript.ChangeDescription` An interface that explains what has happened/going to happen within script update action.
`static class` `UpdatableScript.ChangeStatus`
`static interface` `UpdatableScript.CompileErrorFailure` Describes failure caused by compile error.
`static interface` `UpdatableScript.Failure` Specifies failure type.
`static interface` `UpdatableScript.FunctionNode<T extends UpdatableScript.FunctionNode<T>>` A basic element of function change tree.
`static interface` `UpdatableScript.FunctionPositions`
`static interface` `UpdatableScript.NewFunctionNode` Represents a brand new function in the changed script, that has no corresponding old function.
`static interface` `UpdatableScript.OldFunctionNode` Represents an old function in the changed script.
`static interface` `UpdatableScript.TextualDiff`
`static interface` `UpdatableScript.UpdateCallback`

### Method Summary

All Methods Instance Methods Abstract Methods
`RelayOk` `previewSetSource(java.lang.String newSource, UpdatableScript.UpdateCallback callback, SyncCallback syncCallback)` Same as `setSourceOnRemote(java.lang.String, org.eclipse.wst.jsdt.chromium.UpdatableScript.UpdateCallback, org.eclipse.wst.jsdt.chromium.SyncCallback)`, but does not actually update a script, only provides a description of the planned changes.
`RelayOk` `setSourceOnRemote(java.lang.String newSource, UpdatableScript.UpdateCallback callback, SyncCallback syncCallback)` Demands that script text should be replaced with a new one if possible.

### Method Detail

#### setSourceOnRemote

    RelayOk setSourceOnRemote(java.lang.String newSource,
                              UpdatableScript.UpdateCallback callback,
                              SyncCallback syncCallback)

Demands that script text should be replaced with a new one if possible. A technical VM step may be automatically scheduled after this command (this is defined by `UpdatableScript.ChangeDescription.isStackModified()`), that is a technical requirement of V8. VM should pause back in a moment, standard 'suspended' notification will be visible.

Parameters:
  `newSource` - new text of script

#### previewSetSource

    RelayOk previewSetSource(java.lang.String newSource,
                             UpdatableScript.UpdateCallback callback,
                             SyncCallback syncCallback)

Same as `setSourceOnRemote(java.lang.String, org.eclipse.wst.jsdt.chromium.UpdatableScript.UpdateCallback, org.eclipse.wst.jsdt.chromium.SyncCallback)`, but does not actually update a script, only provides a description of the planned changes.

Parameters:
  `callback` - receives change plan description